明经CAD社区

?找回密码
?注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

查看: 3666|回复: 20
打印 上一365体育投注手机客户端下载_365体育投注滚球_bt365-体育投注 下一365体育投注手机客户端下载_365体育投注滚球_bt365-体育投注

[源码] [lostbalance]我的通用函数库wyb-函数

? [复制链接]
跳转到指定楼层
楼主
发表于 2018-9-2 10:41 | 只看该作者 回帖奖励 |倒序浏览 |阅读模式
本帖最后由 lostbalance 于 2019-5-30 10:20 编辑

个人在用的函数库,部分自己编的,部分抄袭、借鉴明经或网上大神的。
论坛中我发布的程序,需要的源码可以在这里找找。



首先是预定义的几个全局参数。
论坛的代码模块好像有点问题,显示不正常,我占个二楼放吧。

目录
  1. (wyb-get-box ename)//4.2. 取得图元外矩形框
  2. (wyb-get-mBox ss)//4.2.2 取得选择集内不重叠的外矩形框
  3. (wyb-sort-lst lst key fuzz func)//4.4. 列表排序基础函数(方向判断)
  4. (wyb-sort-ssPts sspts key fuzz)//4.4.1 图元排序
  5. (wyb-sort-pts pts dir xyz fuzz)//4.4.2 点列表排序
  6. (wyb-get-entDxf dxf ent)//4.11. 获取对象dxf码
  7. (wyb-lst-position a lst)//4.18. a在表lst中的位置 or nil
  8. (wyb-sublst lst start len)//4.21. 提取列表的一部分,类似substr(迭代法)
  9. (wyb-substNth new n lst)//4.22. 替换列表中指定位置的项
  10. (wyb-file-getFolder msg)//4.38. 获取文件夹
  11. (wyb-getDesktop)//4.48. 获取桌面desktop的路径
  12. (wyb-subst ent dxf new_item)//6.5 替换新旧列表后的列表
  13. (wyb-findSupportFolder folder)//9.24. 在支持目录中查找文件夹路径
  14. (wyb-get-lastEnt ent)//3.17. 获取ent之后的所有对象
  15. (wyb-substMod ent dxf new_item)//5.10.1 替换并更新新旧列表后的列表
  16. (wyb-subst ent dxf new_item)//5.10. 替换新旧列表后的列表

复制代码


20181214 补充wyb-if类的函数,见本贴13楼
20181217 增加wyb-findSupportFolder
? ?? ?? ?? ?? ???PS,生命在于折腾,前阵子整理了一下函数库,重新分类梳理了编号,有极个别函数的名称也调整了下,有问题请留言
20190530 补充wyb-subst v1.0,wyb-substMod v1.0,wyb-get-lastEnt v1.0




本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?注册

x

评分

参与人数 7明经币 +5 金钱 +12 收起 理由
孤人旧梦 + 6 很给力!
水吉空 + 6 很给力!
Bao_lai + 1 赞一个!
xshrimp + 1 很给力!
BaoWSE + 1 赞一个!
pannelchen + 1 赞一个!
USER2128 + 1 赞一个!

查看全部评分

本帖被以下淘专辑推荐:

  • · lostbalance|365体育投注手机客户端下载_365体育投注滚球_bt365-体育投注: 12, 订阅: 1
沙发
?楼主| 发表于 2018-9-2 10:46 | 只看该作者
;|=====WYB函数库=====
--------------------------------------------------------------------------------
本函数库的源码,有部分源自明经论坛、晓东论坛等处
由于各种原因,导致部分源码的作者信息不完整或丢失,深感歉意
感谢自贡黄明儒、highflybir、llsheng-73、edata、不死猫等明经er和leemac等
--------------------------------------------------------------------------------
====================|;
(vl-load-com)
;===0. 常数
(setq ;;常用VLA对象、集合
? ? 0.5pi? ?(* 0.5 pi)
? ? 1.5pi? ?(* 1.5 pi)
? ? 2pi? ???(+ pi pi)
? ? *ACAD*??(vlax-get-acad-object) ;;AutoCAD任务中的顶层 AutoCAD应用程序对象,即获取AutoCAD程序本身
? ? *DOC*? ?(vla-get-ActiveDocument *ACAD*) ;;是在autocad程序下面运行的当前文档对象
? ? *LOUT*??(vla-get-ActiveLayout *DOC*) ;;激活的布局
? ? *DOCS*??(vla-get-Documents *ACAD*)
? ? *MS*? ? (vla-get-modelSpace *DOC*)
? ? *PS*? ? (vla-get-paperSpace *DOC*)
? ? *BLKS*??(vla-get-Blocks *DOC*)
? ? *LAYS*??(vla-get-Layers *DOC*)
? ? *LTS*? ?(vla-get-Linetypes *DOC*)
? ? *TSS*? ?(vla-get-TextStyles *DOC*)
? ? *GRPS*??(vla-get-groups *DOC*)
? ? *DIMS*??(vla-get-DimStyles *DOC*)
? ? *LOUTS* (vla-get-Layouts *DOC*)
? ? *VPS*? ?(vla-get-Viewports *DOC*)
? ? *VS*? ? (vla-get-Views *DOC*)
? ? *DICS*??(vla-get-Dictionaries *DOC*)
? ? *PLTCS* (vla-get-PlotConfigurations *DOC*)
? ? *RAPPS* (vla-get-RegisteredApplications *DOC*)
? ? ;;常用的几个外部接口对象
? ? *FSO*? ?(vlax-get-or-create-object "Scripting.FileSystemObject")
? ? *WSH*? ?(vlax-get-or-create-object "wscript.shell")
? ? *SHELL* (vlax-get-or-create-object "Shell.Application")
? ? *SCR*? ?(vlax-get-or-create-object "ScriptControl")
? ? *WBEM*??(vlax-get-or-create-object "WbemScripting.SWbemLocator")
? ? *VBS*? ?(vlax-get-or-create-object "VBScript.regexp")
? ? *HTMLF* (vlax-get-or-create-object "htmlfile")
? ? ;;全局参数
? ? *wyb_ini* "WYB-Tools.ini"
)
板凳
发表于 2018-9-2 17:16 | 只看该作者
感谢分享学习!!!!!
6#
发表于 2018-9-4 10:12 | 只看该作者
收藏以后学习用.
7#
发表于 2018-9-4 11:51 | 只看该作者
如能合并就方便了
你真好
8#
发表于 2018-9-4 17:07 | 只看该作者
dear sir

wow its amazing

thanks for sharing
9#
发表于 2018-9-4 19:41 | 只看该作者
如能合并就方便了
你真好
10#
发表于 2018-9-4 21:51 | 只看该作者
悟性不达标,先收藏之有时间再慢慢琢磨参悟!
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )???
?2000-2017 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2019-10-30 19:29 , Processed in 0.241355 second(s), 30 queries , Gzip On.

Powered by Discuz! X3.3

? 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表